<div class="container-fluid">
<%= _.template($('#input_constructor').html())({id:"tcbiwjzv", description:tr("Captcha Selector"), default_selector: "string", disable_expression:true, disable_int:true, variants: [">CSS>iframe[src*='anchor']>FRAME> >CSS> #recaptcha-anchor-label<br/><span style='color:gray;font-size:small'>Standard selector from the ReCAPTCHA 2 checkbox with the text “I am not a robot”.</span>",">CSS>iframe[src*='/bframe']>FRAME> >CSS>div[id='rc-imageselect']<br/><span style='color:gray;font-size:small'>Standard open captcha selector with images and task. Used for Invisible ReCAPTCHA 2.</span>"], value_string: ">CSS>iframe[src*='anchor']>FRAME> >CSS> #recaptcha-anchor-label", help: {description: tr("This setting is needed to specify a selector to resolve your ReCAPTCHA 2. By default, 2 selectors are available: The first selector in the list selects the ReCAPTCHA 2 checkbox with the text “I am not robot”. The second in the list selector selects the open ReCAPTCHA 2 window with the task and captcha image. You can also specify any of your own selectors (CSS, MATSN or XPATH) in case your site has a non-standard captcha layout, e.g. you need to select the second of two visible captchas or the captcha is hidden in several iframe attachments.")} }) %>
<%= _.template($('#input_constructor').html())({id:"avadrara", description:tr("Solve Method"), default_selector: "string", variants: ["Cap.Guru [Russian Server]", "Cap.Guru [German Server]", "Cap.Guru [Finland Server]", "Cap.Guru [Asian Server]"], disable_expression:true, disable_int:true, value_string: "", help: {description: tr("In this string you need to specify which of the cap.guru servers you want to send your captcha to. Please note, that captcha solving requests are not sent through a proxy, but directly from the Internet connection of your PC or server. If you observe problems with access to one of the servers, then change the solution server in the settings. It is recommended to use the RU server if you solve captcha on a server or PC from Russia, if your server is located outside of Russia, then it is recommended to use a server in Germany for solving.")} }) %>
<%= _.template($('#input_constructor').html())({id:"hqslsalo", description:tr("Secret API Key"), default_selector: "string", disable_expression:true, disable_int:true, value_string: "", help: {description: tr("In this field, you must specify the secret API key for your solution method, this key must be purchased at the recognition service https://cap.guru. Example: 1ceb81e1cbd343b136bcc3975f914dd1")} }) %>
<div style="margin-left: 20px;">
		<input type="checkbox" id="AdvancedCheck" onchange="$('#Advanced').toggle()" />
		<label for="AdvancedCheck" class="tr" >Advanced settings.</label>
	</div>
	<span id="Advanced" style="display:none">
		<%= _.template($('#input_constructor').html())({id:"ergukjtr", description:tr("Click speed"), default_selector: "string", variants: ["Slow","Normal","Fast","Very Fast","Extreme"], disable_expression:true, disable_int:true, value_string: "Slow", help: {description: tr("This setting changes the behavior of mouse movement speed in the module and captcha click speed, by default the default speed is used, which is set globally in BAS."), examples: [{ code: "Slow", description: tr("standard mouse movement and click speed")},{ code: "Fast", "description": tr("accelerated x3 mouse movement and click speed")},{ code: "Extreme", "description": tr("instant x5 mouse movement and click speed")}]}}) %>
		<%= _.template($('#input_constructor').html())({id:"ejbfqmeq", description:tr("Attempts to solve"), default_selector: "int", disable_string: true, value_number: 50, min_number:-999999, max_number:999999, help: {description: tr("This setting sets the limit of attempts, above which the module will not continue solving ReCAPTCHA 2, one attempt equals one solved captcha in a 4x4 grid of images or a 3x3 grid. For dynamic disappearing images in a 3x3 grid, one attempt is equal to one click on such an image. Recommended value: 50. For low-quality proxies this number can be increased."), examples: [{ code: "45", description: tr("Set solution attempt limit to 45")},{ code: "60", "description": tr("Set solution attempt limit to 60")},{ code: "75", "description": tr("Set solution attempt limit to 75")}]}}) %>
		<%= _.template($('#input_constructor').html())({id:"dkxpoyuh", description:tr("Enable debug mode?"), default_selector: "expression", variants: [true, false], disable_int:true, disable_string:true, value_string: false, help: {description: tr("This setting is needed to enable detailed logging of all module actions. It is primarily intended for the module developer and will most likely be unnecessary for you. However, if issues arise with the module, enable this mode to generate a detailed bug report."),examples: [{ code: "true", description: tr("enable debug mode")},{ code: "false", "description": tr("disable debug mode")}]}}) %>
</span>
</div>
<div class="tooltipinternal">
<div class="tr tooltip-paragraph-first-fold">Solve <span style="color: #00008B;">Google ReСaptcha 2</span> any type <code>(Normal, Invisible, Enterprise)</code>, using the image click method.</div>
<div class="tr tooltip-paragraph-fold">This action allows you to solve the captcha before successful completion - a green tick. All you need to do is select any item inside the ReCaptcha 2 window, such as the text 'I'm not a robot' or an empty check box to the left of the text.</div>
<div class="tr tooltip-paragraph-fold">If there are no such elements, then rather the type of your Invisible ReCaptcha 2 captcha is such an invisible captcha where there is no 'I am not a robot' flag, it appears by clicking on a button on the site, for example button: Registration.</div>
<div class="tr tooltip-paragraph-fold">In this case, select the selector specifically designed for this type of captcha; it’s the second option in the module menu.</div>
<div class="tr tooltip-paragraph-fold">This action performs automatic clicks on image numbers or coordinates, takes a screenshot of the image and sends it to the service or program you specified by the capch solution. There is no need to perform any additional actions.</div>
<div class="tr tooltip-paragraph-fold">This solution method is convenient in that you do not need to search for how to call 'callback' on the site, study complex JavaScripts in order to successfully pass the captcha solution.</div>
<div class="tr tooltip-paragraph-fold">Pay attention! This action does not create any 'dangerous code' inside the browser and does not break other types of captcha on sites, as the actions to solve captcha from the context menu do.</div>
<div class="tr tooltip-paragraph-fold">This means that you do not need to constantly disable or enable this module in your scripts for fear of sanctions from the site. For example, when you warm up a profile, this action will not create any new properties of the window object or even replace the current ones.</div>
<div class="tr tooltip-paragraph-last-fold">To speed up the solution of captcha, it is recommended to use good proxies (mobile or resident), as well as a warmed-up profile. In this case, Google can give you only 1 square with images before the captcha is successfully solved.</div>
</div>
<%= _.template($('#back').html())({action:"executeandadd", visible:true}) %>
